Get a Payment Setup
Beta
Retrieves a Payment Setup by its unique identifier.
Path Parameters
- Type: stringidrequired
The unique identifier of the Payment Setup to retrieve.
Responses
- application/json
- 401
Authentication failed. Provide a valid API key.
- 403
You do not have permission to retrieve this Payment Setup.
Request Example for get/payments/setups/{id}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/payments/setups/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{ "id": "string", "processing_channel_id": "pc_q4dbxom5jbgudnjzjpz7j2z6uq", "amount": 10000, "currency": "GBP", "presentment_details": { "amount": 110, "currency": "EUR" }, "payment_type": "regular",